const express = require("express");
const router = express.Router();
const {
  getJobSafetyAnalyses,
  getSingleJobSafetyAnalysis,
  createJobSafetyAnalysis,
} = require("../controllers/job-safety-analysis");
const authMiddleware = require("../middleware/authMiddleware");

router.use(authMiddleware);

router.get("/", getJobSafetyAnalyses);

router.get("/:id", getSingleJobSafetyAnalysis);

router.post("/", createJobSafetyAnalysis);

module.exports = router;
